Package: org.codehaus.groovy.grails.commons

## [Java] Class GrailsApplicationFactoryBean

- org.codehaus.groovy.grails.commons.GrailsApplicationFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean

      public class GrailsApplicationFactoryBean
      extends java.lang.Object

  Creates a Grails application object based on Groovy files.

  Authors:
    Steven Devijver
    Graeme Rocher
    Chanwit Kaewkasi
  Since:
    0.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterPropertiesSet()`
    `GrailsApplication` | `getObject()`
    `java.lang.Class<GrailsApplication>` | `getObjectType()`
    `boolean` | `isSingleton()`
    `void` | `setGrailsDescriptor(org.springframework.core.io.Resource r)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### public GrailsApplication getObject()

    - #### public java.lang.Class<GrailsApplication> getObjectType()

    - #### public boolean isSingleton()

    - #### public void setGrailsDescriptor(org.springframework.core.io.Resource r)